AppDynamics switched from Semantic Versioning to Calendar Versioning starting in February 2020 for some agents and March 2020 for the entire product suite.


    Skip to end of metadata
    Go to start of metadata

    Related pages:

    Your Rating:
    Results:
    1 Star2 Star3 Star4 Star5 Star
    14 rates

    Supported Environments

    The AppDynamics .Net Agent for Linux is supported on the following environments.

    Operating Systems

    • CentOS 7+
    • Red Hat Enterprise Linux 7
    • Debian 9+
    • Ubuntu 14+
    • Alpine 3.7+

    .NET Core

    • 2.0
    • 2.1
    • 2.2
    • 3.0
    • 3.1

    ASP.NET core

    • MVC
    • Razor
    • WebAPI

    Backend Calls

    • HttpClient backend calls
    • ADO.NET backend calls (SqlClient, MySql, SQLite, PostgreSQL)
    • EntityFramework
    • Redis
    • Oracle
    • MongoDB
    • RabbitMQ

    Application environment:

    • Applications running in a container (needs to match OS)
    • Applications running on a host/VM (needs to match OS)

    AppDynamics Controller version 4.4.1+

    New in 4.5.9 AppDynamics Controller environment

    The ability to customize Business Transaction detection that is now supported by .NET Agent for Linux 4.5.9 requires Controller versions 4.5.2 and higher. The .NET Agent 4.5.9 works with Controller v4.4.1+, but the customizable transaction detection and configuration capabilities require v4.5.2+.

    Limitations of the Current Version

    There are a few locations in the Controller which do not support the .NET Agent for Linux. These screens appear empty in such cases:

    • Node memory
    • Tier IIS AppPools
    • Tier network dashboard

    .NET Core 3.0 Limitations

    The .NET Agent version 4.5.16 and later supports .NET Core 3.0 with limitations. The following are not supported:

    • No labels